<div class="modal-container">
    <div class="modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <!-- dialog header -->
          <div class="modal-header">
            <h5>Create Account</h5>
          </div>
          <!-- dialog body -->
          <div class="modal-body">
            <div class="container">
                <form  #form="ngForm">
                    <div class="container-form-div">
                        <div class="form-input-div">
                            <div class="form-input">
                                <label for="name">Date</label>
                                <input type="date" [(ngModel)]="transactionRequest.date"  max="{{today}}" name="date" required>
                            </div>
                            <div class="form-input">
                                <label for="type">Type</label>
                                <select [(ngModel)]="selectedPayee" placeholder="Select Payee" required name="payee" style="width:183px;"
                                    id="type" required>
                                    <option  disabled value=undefined>Select</option>
                                    <option *ngFor="let item of payeesList" [ngValue]="item">{{item.name}}</option>
                                </select>
                            </div>
                            <div class="form-input">
                                <label for="memo">Memo</label>
                                <input [(ngModel)]="transactionRequest.memo" type="text" placeholder="memo"
                                    name="memo"
                                    id="memo" required>
                            </div>
                            <div class="form-input">
                                <label for="amount">Amount</label>
                                <input [(ngModel)]="transactionRequest.amount" type="text" maxlength="200" placeholder="Amount"
                                    name="amount"
                                    id="amount" required>
                            </div>
                            
                        </div>
                    </div>
                </form>
            </div>
          </div>
          <!-- dialog body -->
          <div class="modal-footer">
            <button class="btn btn-primary btn-sm" (click)="closePopup()">Close</button>
            <button class="btn btn-primary btn-sm" [disabled]="form.form.invalid" (click)="doTransaction()">Submit</button>

          </div>
        </div>
      </div>
    </div>
  </div>
  

